Package: org.codehaus.groovy.syntax

## [Java] Class RuntimeParserException

- org.codehaus.groovy.syntax.RuntimeParserException

- A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RuntimeParserException (String message, ASTNode node)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `throwParserException()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public RuntimeParserException(String message, ASTNode node)

  - ### Method Detail

    - #### public void throwParserException()